K Desktop Environment
Anterior | Capítulo 3. Instalación | Siguiente

# 3.4. Utilizando TGZ para instalar sobre otros sistemas

Si su distibución Linux no contiene archivos de formato rpm o deb, o no está usando Linux, debe compilar KDE por su cuenta. Para el futuro estamos planeando suministrar una distribución binaria que incluya su propio programa de instalación.

Para poder compilar e instalar KDE de modo adecuado, es necesario tener instalados los siguientes elementos en el disco duro:

- Un compilador ANSI-C, p.ej. el compilador C de GNU.

- Un compilador ANSI-C++, p.ej. el compilador C++ de GNU.

- La utilidad make.

- La versión de desarrollo 2.2 de Qt o una versión superior.

- Una versión de desarrollo X11 (incluyendo archivos que frecuentemente faltan)

Una vez que todas las aplicaciones auxiliares estén disponibles, vaya a su espejo favorito de KDE y descargue los siguientes archivos del directorio `/pub/kde/stable/`versión más moderna``:

- `kdesupport-`versión`.tar.gz`

- `kdelibs-`versión`.tar.gz`

- `kdebase-`versión`.tar.gz`

- cualquier otro paquete que desee instalar. Le aconsejamos descargar al menos kdeutils.

En los casos anteriores, `versión` se debe sustituir por el nuacute;mero de versión actual. Una vez haya descargado todo lo que necesite, descomprima y extraiga estos archivos sobre `/usr/src`. Este proceso debería generar la siguiente estructura de directorios:

- `/usr/src/kdesupport`

- `/usr/src/kdelibs`

- `/usr/src/kdebase`

- `/usr/src/...` (cualquier otro paquete)

Asegurese de que tiene privilegio de escritura en `/opt/kde`.

A continuación debe compilar e instalar los paquetes utilizando lo siguiente:

1. cd en el directorio del paquete, que desea instalar (ver arriba)

2. ./configure (con las opciones que desee aplicar)

3. make

4. make install

Aplique los pasos anteriores a cada uno de los paquetes que desee instalar

| Estas instrucciones se pueden utilizar para casi cada uno de los paquetes disponibles, no sólo los paquetes KDE.

Cada procedimiento de configuración tiene varias opciones disponibles. Algunas son comunes mientras otras son específicas de los paquetes individuales. Lo que se muestra a continuación es parte del resultado de configure `--help` en kdelibs:

       --disable-fast-perl     deshabilitar generación de Makefile rápidos (necesita perl)
      --enable-debug          crear código de reparación de errores [por defecto=no]
      --enable-strict         compilar con opciones estrictas del compilador (¡puede no funcionar!)
      --enable-profile        crear pérfiles de información [por defecto=no]
      --enable-final          crear applicaciones de tamaño optimizado (experimental - necesita mucha memoria)
      --disable-closure       no retrasar la instanciación de prototipos
      --enable-shared[=PKGS]  crearr librerías compartidas [por defecto=si]
      --enable-static[=PKGS]  crearr librerías estáticas [por defecto=no]
      --enable-fast-install[=PKGS]  optimizar para instalación rápida [por defecto=si]
      --with-gnu-ld           suponer que el compilador C utiliza el ld de GNU [por defecto=no]
      --disable-libtool-lock  evitar cierre (puede romper creación paralela)
      --with-pic              intentar usar sólo objetos PIC/no-PIC [por defecto=utilizar ambos]
      --with-extra-includes=DIR añadir rutas no normalizadas de inclusión
      --with-extra-libs=DIR   añadir rutas no normalizadas para librerías
      --with-qt-dir=DIR       donde está instalada la raíz de Qt
      --with-qt-includes=DIR  donde está los archivos de inclusión de Qt
      --with-qt-libraries=DIR donde está instalada la librería Qt
      --disable-rpath         no utilizar la característica rpath de ld
      --disable-path-check    no tratar de encontrar donde instalar
      --with-xdmdir           si el directorio de configuración de xdm config no se puede encontrar automáticamente
      --with-pam[=ARG]        habilitar soporte para PAM: ARG=[yes|no|service name]
      --with-shadow           si se desea soporte para contraseñas ensombrecidas
      --with-krb4[=PATH]      Compilar con soporte para Kerberos v4.
      --with-afs              Compilar con soporte para AFS (requiere KTH krb4).
      --with-ldap[=PATH]      Compilar con soporte para LDAP.
      --with-samba-libs=path  Utilizar librerías Samba-tng en 'path'       [search]
      --without-gl            deshabilitar modos 3D GL
      --without-xpm           deshabilitar comprobaciones de color de mapas de pixels XPM
      --without-dpms          deshabilitar ahorro de energía DPMS
      --with-x                utilizar el sistema de ventanas X
      --with-motif-includes=DIR    Los archivos de inclusión Motif están en DIR
      --with-motif-libraries=DIR   Las librerías Motif están en DIR

Algunas opciones no son necesarias y sólo son uacute;tiles como rodeos para solucionar problemas conocidos. (p. ej. `--disable-FEATURE`). Como algunas son opciones importantes, por ejemplo --with-shadow, se deberían comprobar siempre las opciones disponibles.

Una opción importante es `--prefix`. Esta opción sirve para especificar el camino donde se debería instalar configure (para kdesupport y kdelibs) o donde buscar las librerías (para otros paquetes). Por defecto, configure mirará en `/opt/kde`. Si desea instalar KDE en `/usr/local/kde`, tiene que usar configure `--prefix /usr/local/kde`.

Si ha instalado las librerías Qt en un lugar inusual, por ejemplo en `$HOME/src/qt`, debe usar configure `--with-qt-dir=$HOME/src/qt`. Por defecto configure busca en los lugares más comunes para QT antes de abandonar.

Si encuentra problemas no que puede resolver, envie una copia del archivo `config.log` a la dirección que figura en el archivo `README` del paquete problemático.

La instalación de KDE se debe realizar en el orden siguiente: kdesupport, kdelibs, después los paquetes de aplicaciones (por ejemplo kdebase). Todos los paquetes de aplicaciones deberían depender sólo de kdelibs, de modo que se puedan compilar al mismo tiempo (si dispone de una máquina potente).

Si quiere aprovechar las ventajas de un sistema multiprocesodor, intente make `-j `Nuacute;mero de procesadores`` en lugar de make.

## 3.4.1. Notas específicas de plataformas

### 3.4.1.1. Linux

Para Linux, la mayor parte de las utilidades necesarias para construir KDE se pueden encontrar o, bien en ftp://sunsite.unc.edu/pub/Linux/GCC, o en ftp://sunsite.unc.edu/pub/GNU. Las librerías Qt se pueden encontrar en ftp://ftp.troll.no/pub/qt/linux, disponibles en código fuente o en formato RPM para Linux. Ambas contienen instrucciones detalladas de como instalarlas. Los ficheros de inclusión de los programas X11 deberían estar disponibles en ftp://ftp.xfree86.org en la sección xdevel.

Anterior | Inicio | Siguiente
Linux: instalando DEBs para Debian | Subir | Cambios requeridos en los archivos de configuración